net.dontdrinkandroot.lastfm.api.model

## Class Affiliation

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Affiliation

All Implemented Interfaces:
  Serializable, BuyLinkEntity, Entity, IsSearchEntity, PriceEntity, SupplierIconEntity, SupplierNameEntity

    public class Affiliation
    extends LfmEntity
    implements SupplierNameEntity, PriceEntity, BuyLinkEntity, SupplierIconEntity, IsSearchEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Affiliation(Element element)`

### Method Summary

Methods
`URL` `getBuyLink()`
`Price` `getPrice()`
`URL` `getSupplierIcon()`
`String` `getSupplierName()`
`Boolean` `isSearch()`
`void` `setBuyLink(URL buyLink)`
`void` `setPrice(Price price)`
`void` `setSearch(Boolean search)`
`void` `setSupplierIcon(URL supplierIcon)`
`void` `setSupplierName(String supplierName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Affiliation

    public Affiliation(Element element)

### Method Detail

#### isSearch

    public Boolean isSearch()

Specified by:
  `isSearch` in interface `IsSearchEntity`

#### setSearch

    public void setSearch(Boolean search)

Specified by:
  `setSearch` in interface `IsSearchEntity`

#### getSupplierIcon

    public URL getSupplierIcon()

Specified by:
  `getSupplierIcon` in interface `SupplierIconEntity`

#### setSupplierIcon

    public void setSupplierIcon(URL supplierIcon)

Specified by:
  `setSupplierIcon` in interface `SupplierIconEntity`

#### getBuyLink

    public URL getBuyLink()

Specified by:
  `getBuyLink` in interface `BuyLinkEntity`

#### setBuyLink

    public void setBuyLink(URL buyLink)

Specified by:
  `setBuyLink` in interface `BuyLinkEntity`

#### getPrice

    public Price getPrice()

Specified by:
  `getPrice` in interface `PriceEntity`

#### setPrice

    public void setPrice(Price price)

Specified by:
  `setPrice` in interface `PriceEntity`

#### getSupplierName

    public String getSupplierName()

Specified by:
  `getSupplierName` in interface `SupplierNameEntity`

#### setSupplierName

    public void setSupplierName(String supplierName)

Specified by:
  `setSupplierName` in interface `SupplierNameEntity`